#! /bin/csh -f

set CD_PATH=$DMTOOLSDIR/demos/inventor
cd $CD_PATH

if ( `versions inventor_eoe | grep "inventor_eoe.sw.2_0" | wc -l` > 0 ) then
	cd $CD_PATH/slotcar/Games
	./slotcar
else
	cd $CD_PATH
	xwsh -holdonerror -bg royalblue -fg white \
        	-geom 90x30+100+100 -cursorfg violetred1 -cursorbg violetred1 \
        	-title "Installing New Inventor Files..." \
        	-e /bin/csh -c \
        	"echo ; \
         	echo ; \
         	echo The demos require a newer version of Inventor_eoe.; \
	 	echo This will require ROOT privileges.; \
         	echo If your system has a ROOT password, you must enter it.; \
         	echo If you have no ROOT password, you will not be prompted for it.; \
		echo The minimum to installation requirement is: inventor_eoe.sw.inventor.; \
         	echo ; \
         	su root -c './InstallIt3'"
endif
