//------------------------------------------------------------------------------
// Bomb class.
//------------------------------------------------------------------------------
#ifndef _BOMB_H_
#define _BOMB_H_

#include "Missile.h"

class Bomb : public Missile {

	SO_NODE_HEADER( Bomb ) ;

    public:

	static void 	initClass() ;

	Bomb() ;
	Bomb( float height ) ;

	virtual MissileStatus	update( float mx, float my, float deltaTime,
					SoNode *scene ) ;
	virtual SbBool		isGuided() const ;
	virtual MissileType	getMissileType() const ;
	virtual SoNode		*getIconGraph() ;

    SoEXTENDER public :

    protected:
	virtual	~Bomb() ;

    private:
	void			buildCommon() ;
	static SoSeparator	*geometry ;
	static SoSeparator	*icon ;
} ;
#endif /* !_BOMB_H_ */
