//------------------------------------------------------------------------------
// CruiseMissile class.
//------------------------------------------------------------------------------
#ifndef _CRUISEMISSILE_H_
#define _CRUISEMISSILE_H_

#include "Missile.h"

class FollowTerrainAction ;

class CruiseMissile : public Missile {

	SO_NODE_HEADER( CruiseMissile ) ;

    public:

	static void 	initClass() ;

	CruiseMissile() ;
	CruiseMissile( float height ) ;

	SoSFFloat	maxPitchRate ;

	virtual MissileStatus	update( float mx, float my, float deltaTime,
					SoNode *scene ) ;
	virtual MissileType	getMissileType() const ;
	virtual SoNode		*getIconGraph() ;

    SoEXTENDER public :

    protected:
	virtual	~CruiseMissile() ;
	FollowTerrainAction	*fta ;

    private:
	void			buildCommon() ;
	static SoSeparator	*geometry ;
	static SoSeparator	*icon ;
} ;
#endif /* !_CRUISEMISSILE_H_ */
