//------------------------------------------------------------------------------
// Inventor engine to invert a rotation field
//------------------------------------------------------------------------------

#ifndef _INVERTROTATION_H_
#define _INVERTROTATION_H_

#include <Inventor/engines/SoSubEngine.h>
#include <Inventor/fields/SoSFRotation.h>

class InvertRotation : public SoEngine {

	SO_ENGINE_HEADER( InvertRotation ) ;

    public :
	InvertRotation() ;

    // Inputs:
	SoSFRotation	rotation ;

    // Output:
	SoEngineOutput	invRotation ;	// A'

	static void initClass() ;

    private :
	~InvertRotation() ;
	virtual void evaluate() ;
} ;

#endif /* !_INVERTROTATION_H_ */
