//------------------------------------------------------------------------------
// NameList node header.  No effect on traversal.  Stores multiple SbNames.
//------------------------------------------------------------------------------

#ifndef	_NAMELIST_H_
#define	_NAMELIST_H_

#include <Inventor/SbBasic.h>
#include <Inventor/fields/SoMFName.h>
#include <Inventor/nodes/SoSubNode.h>

class NameList : public SoNode {

	SO_NODE_HEADER( NameList ) ;

    public :
	SoMFName	name ;
	static void	initClass() ;
	NameList() ;

    protected :
	virtual		~NameList() ;
	virtual SbBool	affectsState() const ;

} ;

#endif	/* _NAMELIST_H_ */

