//------------------------------------------------------------------------------
// Debris class.
//------------------------------------------------------------------------------

#ifndef	_DEBRIS_H_
#define	_DEBRIS_H_

#include <Inventor/fields/SoSFFloat.h>
#include "TransformSwitch.h"

class FollowTerrainAction ;

class Debris : public TransformSwitch {

	SO_NODE_HEADER( Debris ) ;

    public :
	Debris() ;
	SoSFFloat	value ;
	static void	initClass() ;
	void		update( float dt, SoNode *scene ) ;

    protected :
	virtual	~Debris() ;

    private :
	SbBool			onGround ;
	FollowTerrainAction	*fta ;
	float			fallSpeed ;
} ;

#endif	/* !_DEBRIS_H_ */
