//------------------------------------------------------------------------------
// Header for the DebrisControl class.
//------------------------------------------------------------------------------

#ifndef	_DEBISCONTROL_H_
#define	_DEBISCONTROL_H_

#include <Inventor/SbLinear.h>

class AnimationMaster ;
class SoGroup ;
class SoNode ;
class SoSeparator ;

class DebrisControl {

    public :
	DebrisControl() ;
	~DebrisControl() ;
	void addDebris( const SbVec3f &pos, float armorValue ) ;
	void update( float dt, SoNode *scene ) ;
	SoNode *getSceneGraph() const { return( (SoNode *)root ) ; }
	float scavenge( const SbVec3f &pos ) const ;

    private :
	SoSeparator	*root ;
	AnimationMaster	*master ;
	SoGroup		*animation ;
} ;
#endif	/* _DEBISCONTROL_H_ */
