//------------------------------------------------------------------------------
// GameInput header file.
//------------------------------------------------------------------------------

#ifndef	_GAMEINPUT_H_
#define	_GAMEINPUT_H_

#include <Inventor/SbBasic.h>
#include "GamePipe.h"

class GameInput : public GamePipe {

    public :
	GameInput( const char *filename ) ;
	GameInput( const char *serviceName, const char *groupName,
			const char *interface, int defaultPort ) ;
	virtual ~GameInput() { if( rep ) delete rep ; }
	virtual int get( void *buffer, int size ) ;
	SbBool	isOk() { return( statusOk ) ; }

    protected :
	GameInput() { rep = NULL ; statusOk = TRUE ; }
	SbBool	statusOk ;

    private :
	GameInput( const GameInput &gi ) ;
	GameInput		*rep ;
} ;


#endif	/* _GAMEINPUT_H_ */
