//------------------------------------------------------------------------------
// Goal class header.
//------------------------------------------------------------------------------

#ifndef _GOAL_H_
#define _GOAL_H_

#include <Inventor/fields/SoSFBool.h>
#include "DestructibleObstacle.h"

class Goal : public DestructibleObstacle {

	SO_NODE_HEADER( Goal ) ;

    public :
	static void	initClass() ;
	Goal() ;
	Goal( const char *name ) ;
	SoSFBool	onRadar ;
	void		restore() ;

    protected :
	virtual ~Goal() ;

    private :
	void	createIt() ;
} ;
#endif	/* !_GOAL_H_ */
