//------------------------------------------------------------------------------
// Mortar class.
//------------------------------------------------------------------------------
#ifndef _MORTAR_H_
#define _MORTAR_H_

#include "Bomb.h"

class Mortar : public Bomb {

	SO_NODE_HEADER( Mortar ) ;

    public:

	static void 	initClass() ;

	Mortar() ;
	Mortar( float height ) ;

	virtual MissileStatus	update( float mx, float my, float deltaTime,
					SoNode *scene ) ;
	virtual MissileType	getMissileType() const ;
	virtual SoNode		*getIconGraph() ;
	static const float	muzzleVelocity ;

    SoEXTENDER public :

    protected:
	virtual	~Mortar() ;

    private:
	void			buildCommon() ;
	static SoSeparator	*geometry ;
	static SoSeparator	*icon ;
} ;
#endif /* !_MORTAR_H_ */
