//------------------------------------------------------------------------------
// Simple NameList node to store a list of SbNames.
//------------------------------------------------------------------------------

#include "NameList.h"

SO_NODE_SOURCE( NameList ) ;



//------------------------------------------------------------------------------
// Initialize the class.
//------------------------------------------------------------------------------
void
NameList::initClass()
{
	SO_NODE_INIT_CLASS( NameList, SoNode, "Node" ) ;
}



//------------------------------------------------------------------------------
// Constructor.
//------------------------------------------------------------------------------
NameList::NameList()
{
	SO_NODE_CONSTRUCTOR( NameList ) ;
	SO_NODE_ADD_FIELD( name, ( "" ) ) ;
}



//------------------------------------------------------------------------------
// Destructor.
//------------------------------------------------------------------------------
NameList::~NameList()
{
}



//------------------------------------------------------------------------------
// Indicate that it does not affect the state.
//------------------------------------------------------------------------------
SbBool
NameList::affectsState() const
{
	return( FALSE ) ;
}
