//------------------------------------------------------------------------------
// Inventor engine to rotate a rotation field
//------------------------------------------------------------------------------

#ifndef _ROTATEROTATION_H_
#define _ROTATEROTATION_H_

#include <Inventor/engines/SoSubEngine.h>
#include <Inventor/fields/SoSFRotation.h>

class RotateRotation : public SoEngine {

	SO_ENGINE_HEADER( RotateRotation ) ;

    public :
	RotateRotation() ;

    // Inputs:
	SoSFRotation	rotationA ;
	SoSFRotation	rotationB ;

    // Output:
	SoEngineOutput	rotation ;	// A * B

	static void initClass() ;

    private :
	~RotateRotation() ;
	virtual void evaluate() ;
} ;

#endif /* !_ROTATEROTATION_H_ */
