//------------------------------------------------------------------------------
// Class header for scout vehicle.
//------------------------------------------------------------------------------

#ifndef _SCOUT_H_
#define _SCOUT_H_

#include "Tank.h"

class Scout : public Tank {

	SO_NODE_HEADER( Scout ) ;

    public :
	static void	initClass() ;
	Scout() ;
	Scout( const char *name ) ;
	virtual SbBool	hasConView() const ;
	virtual void	showHelp( SoMFString *str, int &nLines ) ;

    protected :
	void	setParams() ;
	void	createIt() ;
	virtual	~Scout() ;
} ;

#endif	/* _SCOUT_H_ */
