//------------------------------------------------------------------------------
// RingBufferOutput class.
//
// $Id: RingBufferOutput.h,v 1.3 1995/07/23 20:13:34 fouts Exp $
//------------------------------------------------------------------------------
//
// Copyright 1995, Silicon Graphics, Inc.
// All Rights Reserved.
//
// This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
// the contents of this file may not be disclosed to third parties, copied or
// duplicated in any form, in whole or in part, without the prior written
// permission of Silicon Graphics, Inc.
//
// RESTRICTED RIGHTS LEGEND:
// Use, duplication or disclosure by the Government is subject to restrictions
// as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
// and Computer Software clause at DFARS 252.227-7013, and/or in similar or
// successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
// rights reserved under the Copyright Laws of the United States.
//
#ifndef _RINGBUFFEROUTPUT_H_
#define _RINGBUFFEROUTPUT_H_

#include <ulocks.h>

#include "RingBuffer.h"

class RingBufferOutput {

    public :
	RingBufferOutput( RingBuffer *rb ) ;
	~RingBufferOutput() ;
	int read( void **element ) ;
	int readNoWait( void **element ) ;
	int freeElement() ;
	RingBuffer *getRingBuffer() { return ringBuffer ; } ;

    private :
	RingBuffer *ringBuffer ;
	int readIt( void **element ) ;
} ;

#endif /* _RINGBUFFEROUTPUT_H_ */
